package cn.com.qmth.examcloud.support.cache;

import cn.com.qmth.examcloud.support.cache.bean.AppCacheBean;
import cn.com.qmth.examcloud.support.cache.bean.SysPropertyCacheBean;
import cn.com.qmth.examcloud.web.redis.RedisClient;
import cn.com.qmth.examcloud.web.support.SpringContextHolder;

public class CacheHelper {

	private static RedisClient redisClient;

	private static RedisClient getRedisClient() {
		if (null == redisClient) {
			redisClient = SpringContextHolder.getBean(RedisClient.class);
		}
		return redisClient;
	}

	public static AppCacheBean getApp(Long appId) {
		String key = "$_APP:" + appId;
		return getRedisClient().get(key, AppCacheBean.class);
	}

	public static SysPropertyCacheBean getSysProperty(String propKey) {
		String key = "$_SYS_PROP:" + propKey;
		return getRedisClient().get(key, SysPropertyCacheBean.class);
	}

}
